Last Comment Bug 581686 - Page Info tabs aren't drawn correctly
: Page Info tabs aren't drawn correctly
Status: RESOLVED FIXED
: fixed-seamonkey2.0.7, regression
Product: SeaMonkey
Classification: Client Software
Component: Page Info (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a3
Assigned To: Stefan [:stefanh]
:
Mentors:
Depends on:
Blocks: 460699
  Show dependency treegraph
 
Reported: 2010-07-24 09:10 PDT by neil@parkwaycc.co.uk
Modified: 2010-08-08 14:02 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Switch orient on pageInfo's windowdragbox (1.43 KB, patch)
2010-07-24 12:37 PDT, Stefan [:stefanh]
mnyromyr: review+
neil: superreview+
kairo: approval‑seamonkey2.0.7+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2010-07-24 09:10:01 PDT
Bug 460699 added a <windowdragbox> element around the <tabs> element. Unfortunately a <windowdragbox> defaults to horizontal orient so the <tabs> element does not stretch to the width of the <tabbox> element as it should.

Themes rely on the <tabs> element stretching to the width of the <tabbox> element to be able to draw their lines correctly.

I don't know whether the <windowdragbox> works if other elements cover it.
Comment 1 Markus Stange [:mstange] 2010-07-24 09:20:55 PDT
It works as long as those elements are in the dragTags list here:
http://mxr.mozilla.org/mozilla-central/source/toolkit/content/WindowDraggingUtils.jsm#51
or if they have mousethrough="always".

Are there any arguments against giving windowdragbox vertical orient?
Comment 2 Stefan [:stefanh] 2010-07-24 12:37:29 PDT
Created attachment 460060 [details] [diff] [review]
Switch orient on pageInfo's windowdragbox

In the mac version of pageInfo, we're ok as long as the element inside the windowdragbox keeps its centered position.
Comment 3 Stefan [:stefanh] 2010-08-04 01:06:51 PDT
I'll land this sunday/monday
Comment 4 Stefan [:stefanh] 2010-08-08 10:35:31 PDT
http://hg.mozilla.org/comm-central/rev/b87db5e1c4ef

Note You need to log in before you can comment on or make changes to this bug.